> ## Documentation Index
> Fetch the complete documentation index at: https://docs.scoutlayer.io/llms.txt
> Use this file to discover all available pages before exploring further.

# YouTube Video Transcript API

> Full text and timed segments for a video's transcript.



## OpenAPI

````yaml openapi.json GET /v1/youtube/videos/{videoId}/transcript
openapi: 3.0.0
info:
  title: ScoutLayer API
  version: 1.0.0
  description: Competitor data. One API.
servers:
  - url: https://api.scoutlayer.io
    description: Production
security:
  - ApiKeyAuth: []
  - BearerAuth: []
paths:
  /v1/youtube/videos/{videoId}/transcript:
    get:
      tags:
        - youtube
        - videos
        - transcript
      summary: Get the transcript of a YouTube video or short
      description: Full text and timed segments for a video's transcript.
      parameters:
        - schema:
            type: string
            minLength: 1
            example: dQw4w9WgXcQ
          required: true
          name: videoId
          in: path
        - schema:
            type: string
            example: en
          required: false
          name: language
          in: query
      responses:
        '200':
          description: Get the transcript of a YouTube video or short
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/YouTubeTranscript'
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '402':
          description: Insufficient credits
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '501':
          description: This endpoint is declared but not yet implemented — never charged
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '502':
          description: The orchestrator failed or was unreachable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - ApiKeyAuth: []
        - BearerAuth: []
components:
  schemas:
    YouTubeTranscript:
      type: object
      properties:
        videoId:
          type: string
        language:
          type: string
        fullText:
          type: string
        segments:
          type: array
          items:
            type: object
            properties:
              text:
                type: string
              startMs:
                type: integer
              durationMs:
                type: integer
            required:
              - text
              - startMs
              - durationMs
      required:
        - videoId
        - language
        - fullText
        - segments
    Error:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              example: NOT_FOUND
            message:
              type: string
          required:
            - code
            - message
      required:
        - error
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: >-
        API key passed as the X-API-Key request header. Recommended for
        server-to-server calls.
    BearerAuth:
      type: http
      scheme: bearer
      description: >-
        API key (or OAuth token) passed as a Bearer token in the Authorization
        header.

````